Bug 120867 - (IDE)Building kernel with modular ide support fails
Summary: (IDE)Building kernel with modular ide support fails
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
(Show other bugs)
Version: 1
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-04-14 17:41 UTC by Lee Olsen
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-29 20:19:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Lee Olsen 2004-04-14 17:41:05 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031030

Description of problem:
depmod reports undefined symbols in the ide modules.
The symbols appear to be defined in the ide-probe module, but
circular references prevent depmod from producing a usable dependency
list.
In order to use a soundblaster 16 ide interface as something other than
ide3, ide support *MUST* be modular to allow isapnp configuration to
take place before ide resources are assigned.

Version-Release number of selected component (if applicable):
2.4.22-1.2174.nptl

How reproducible:
Always

Steps to Reproduce:
1.make xconfig (or menuconfig)
2.for "block devices/ata/atapi support", choose "m"
3.make modules_install
    

Actual Results:  Undefined symbols reported by depmod

Expected Results:  No errors

Additional info:

Comment 1 Alan Cox 2004-05-03 00:49:54 UTC
Known problem, upstream too. You should however be able to build all
of IDE compiled in except ide-pnp


Comment 2 Lee Olsen 2004-05-03 16:57:10 UTC
Building without ide-pnp is useless, as the hardware prompting this
kernel configuration is definitely ide-pnp (sb16) in need of pnp
configuration prior to ide activation.
This problem being known and upstream is good news, and the developers
responsible for it may be thinking about it.

Comment 3 David Lawrence 2004-09-29 20:19:47 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.